I don't know how you achieved this, but there's no libboost1_36_0, which is required by Phun, in openSuSE 11.2. There is only libboost1_39_0.